Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes
Argus::NormalizedRect Struct Reference

Defines a normalized rectangle region in [0.0, 1.0]. More...

`#include <Types.h>`

List of all members.

## Public Member Functions

| NormalizedRect ()
| NormalizedRect (float l, float t, float r, float b)
bool | operator== (const NormalizedRect &other) const

## Public Attributes

float | left
float | top
float | right
float | bottom

## Detailed Description

Defines a normalized rectangle region in [0.0, 1.0].

Definition at line 548 of file Types.h.

## Constructor & Destructor Documentation

Argus::NormalizedRect::NormalizedRect | ( |  | ) |

inline

Definition at line 555 of file Types.h.

Argus::NormalizedRect::NormalizedRect | ( | float | l,
|  | float | t,
|  | float | r,
|  | float | b
| ) |  |

inline

Definition at line 556 of file Types.h.

## Member Function Documentation

bool Argus::NormalizedRect::operator== | ( | const NormalizedRect & | other | ) | const

inline

Definition at line 557 of file Types.h.

## Member Data Documentation

float Argus::NormalizedRect::bottom

Definition at line 553 of file Types.h.

float Argus::NormalizedRect::left

Definition at line 550 of file Types.h.

float Argus::NormalizedRect::right

Definition at line 552 of file Types.h.

float Argus::NormalizedRect::top

Definition at line 551 of file Types.h.

The documentation for this struct was generated from the following file:

- include/Argus/Types.h